<#macro argumentlist name myargs> <#if myargs?size != 0>
${name}
<#list myargs as arg>
${arg.name} ${arg.synonyms} ${arg.type} ${arg.summary}
<#-- ${arg.required} --> <#macro argumentDetails arg>

### ${arg.name} / ${arg.synonyms}

Summary: ${arg.summary}
Attributes: ${arg.attributes}
Type: ${arg.type}
Options: ${arg.options}
Details: ${arg.fulltext}

# ${name}

#

## Summary

${summary} <#if author??>

## Author

${author}

## Description

${description} <#-- Create the argument summary -->

## Arguments

Name | Synonyms | Type | Summary
--- | --- | --- | ---
<@argumentlist name="Required" myargs=arguments.required/> <@argumentlist name="Optional" myargs=arguments.optional/> <@argumentlist name="Hidden" myargs=arguments.hidden/> <@argumentlist name="Depreciated" myargs=arguments.depreciated/>

<#-- Create the argument details -->

## Argument details

<#list arguments.all as arg> <@argumentDetails arg=arg/>